/* (c) https://github.com/MontiCore/monticore */
// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: simulationController.proto

package protobuf;

public interface GetMapResponseOrBuilder extends
    // @@protoc_insertion_point(interface_extends:SimulationController.GetMapResponse)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>repeated .SimulationController.GetMapResponse.Street streets = 1;</code>
   */
  java.util.List<protobuf.GetMapResponse.Street> 
      getStreetsList();
  /**
   * <code>repeated .SimulationController.GetMapResponse.Street streets = 1;</code>
   */
  protobuf.GetMapResponse.Street getStreets(int index);
  /**
   * <code>repeated .SimulationController.GetMapResponse.Street streets = 1;</code>
   */
  int getStreetsCount();
  /**
   * <code>repeated .SimulationController.GetMapResponse.Street streets = 1;</code>
   */
  java.util.List<? extends protobuf.GetMapResponse.StreetOrBuilder> 
      getStreetsOrBuilderList();
  /**
   * <code>repeated .SimulationController.GetMapResponse.Street streets = 1;</code>
   */
  protobuf.GetMapResponse.StreetOrBuilder getStreetsOrBuilder(
      int index);

  /**
   * <code>repeated .SimulationController.GetMapResponse.Building buildings = 2;</code>
   */
  java.util.List<protobuf.GetMapResponse.Building> 
      getBuildingsList();
  /**
   * <code>repeated .SimulationController.GetMapResponse.Building buildings = 2;</code>
   */
  protobuf.GetMapResponse.Building getBuildings(int index);
  /**
   * <code>repeated .SimulationController.GetMapResponse.Building buildings = 2;</code>
   */
  int getBuildingsCount();
  /**
   * <code>repeated .SimulationController.GetMapResponse.Building buildings = 2;</code>
   */
  java.util.List<? extends protobuf.GetMapResponse.BuildingOrBuilder> 
      getBuildingsOrBuilderList();
  /**
   * <code>repeated .SimulationController.GetMapResponse.Building buildings = 2;</code>
   */
  protobuf.GetMapResponse.BuildingOrBuilder getBuildingsOrBuilder(
      int index);

  /**
   * <code>.SimulationController.GetMapResponse.Bound bound = 3;</code>
   */
  boolean hasBound();
  /**
   * <code>.SimulationController.GetMapResponse.Bound bound = 3;</code>
   */
  protobuf.GetMapResponse.Bound getBound();
  /**
   * <code>.SimulationController.GetMapResponse.Bound bound = 3;</code>
   */
  protobuf.GetMapResponse.BoundOrBuilder getBoundOrBuilder();
}
